# Reports

An essential aspect of managing your CoinbarPay account is having the ability to retrieve and analyze your payments history and individual transaction details.&#x20;

The CoinbarPay API offers methods to access this data effectively. This topic explains how to use the API to get payments and individual payment details.

{% hint style="info" %}

#### Impotant Note

Elements such as Settlements, Payments full histories, and other payments related data are exportable from the CoinbarPay Dasbhboard.<br>

[Dashboard Platform](/dashboard-platform/overview.md)
{% endhint %}

## Get Payment By Request ID

To fetch the details of an individual payment, use the following endpoint.\
The API will return a JSON object containing the details of the requested payment.

## Get payment details

<mark style="color:blue;">`GET`</mark> `https://sandbox.coinbar.io/coinbar/api/v2/paymentgateway/reports/{{payment_request_id}}`

#### Path Parameters

| Name                 | Type   | Description                                    |
| -------------------- | ------ | ---------------------------------------------- |
| payment\_request\_id | String | Payment Request Id used to request the payment |

#### Headers

| Name                                            | Type   | Description                                                              |
| ----------------------------------------------- | ------ | ------------------------------------------------------------------------ |
| CBPAY-API-KEY<mark style="color:red;">\*</mark> | String | {{<mark style="color:purple;">`SERVICE_CLIENT_ID`</mark>}}               |
| Content-Type                                    | String | application/json                                                         |
| SIGNATURE                                       | String | <p>{{<code>SIGNATURE\_TOKEN</code>}}<br>HMAC SHA-256 body validation</p> |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "payment_id_coinbar": "5fdf0222-c84d-4f46.....",
    "payment_request_id_client": "48e70c61-ead4.....",
    "service_client_id": "4cb1a993.....",
    "customer": {
        "external_user_id": "id495935834583",
        "name": "Mario",
        "surname": "Rossi",
        "email": "mario.rossi@coinbar.io",
        "post_balance": "-0.00045145423250897323"
    },
    "products": [{
        "product_name": "The Fallout",
        "product_price": 8.99,
        "product_amount": 1,
        "product_id": "id123921392",
        "product_type": "MOVIE"
    }],
    "status": "CANCELED",
    "payment_detail": {
        "transaction_id": "",
        "type": "external",
        "wallet_origin": "",
        "coin": "BTC",
        "pair": "BTC/EUR",
        "amount_crypto": 0.00045145423250897323,
        "timestamp": null,
        "coin_price": 19913.425,
        "total_price": 8.99,
        "transaction_timeout_date": {
            "$date": "2022-05-11T12:19:30.774Z"
        },
        "payment_string": "bitcoin:1Q5BBBBBBBBBBBBBBBBBBBBBBBBB?amount=0.00045145"
    },
    "input_coin": "EUR",
    "urlcallback": "https://.....",
    "creation_time": {
        "$date": "2022-05-11T12:16:01.064Z"
    },
    "update_time": {
        "$date": "2022-05-11T12:16:35.059Z"
    },
    "market_data": {
        "current_change": 19913.425
    },
   
    "status_descr": "Canceled by client request"
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
By using these API methods, you can efficiently fetch and analyze your payments history and individual transaction information, enabling you to monitor your CoinbarPay account and better manage your business' finances.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coinbar.io/api-web-integration/api-documentation/reports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
